=== modified file 'configure.ac'
--- configure.ac	2008-10-10 13:40:21 +0000
+++ configure.ac	2008-10-14 17:59:28 +0000
@@ -1393,6 +1393,18 @@
     [ac_warn_strict_aliasing="$enableval"],
     [ac_warn_strict_aliasing="no"])
 
+AC_ARG_ENABLE([cast-warnings],
+    [AS_HELP_STRING([--enable-cast-warnings],
+       [Enable warnings about use of old C-style casts @<:@default=off@:>@])],
+    [ac_warn_cast="$enableval"],
+    [ac_warn_cast="no"])
+
+AC_ARG_ENABLE([effective-style],
+    [AS_HELP_STRING([--enable-effective-style],
+       [Enable warnings violating Effective C++ Style Guidelines @<:@default=off@:>@])],
+    [ac_warn_effc="$enableval"],
+    [ac_warn_effc="no"])
+
 
 if test "$GCC" = "yes"
 then
@@ -1441,9 +1453,19 @@
     W_FAIL="-Werror"
   fi
 
+  if test "$ac_warn_cast" = "yes"
+  then
+    W_CAST="-Wold-style-cast"
+  fi
+
+  if test "$ac_warn_effc" = "yes"
+  then
+    W_EFFC="-Weffc++"
+  fi
+
   BASE_WARNINGS="-W -Wall -Wextra"
   GCC_WARNINGS="${C99_SUPPORT_HACK} ${BASE_WARNINGS} ${GCC_PEDANTIC} ${W_UNREACHABLE} ${W_FAIL} ${GPROF_PROFILING} ${GPROF_COVERAGE}"
-  GXX_WARNINGS="${BASE_WARNINGS} ${GXX_PEDANTIC} ${W_UNREACHABLE} ${W_FAIL} ${GPROF_PROFILING} ${GPROF_COVERAGE}"
+  GXX_WARNINGS="${BASE_WARNINGS} ${GXX_PEDANTIC} ${W_UNREACHABLE} ${W_FAIL} ${GPROF_PROFILING} ${GPROF_COVERAGE} ${W_CAST} ${W_EFFC}"
 
   AM_CXXFLAGS="${GXX_WARNINGS} ${AM_CXXFLAGS}"
   AM_CFLAGS="${GCC_WARNINGS} ${AM_CFLAGS}"

